class Flock {
  ArrayList boids; // An arraylist for all the boids

  Flock() {
    boids = new ArrayList(); // Initialize the arraylist
  }

  void toggleNbhdRep() {
     for (int i = 0; i < boids.size(); i++) {
      Boid b = (Boid) boids.get(i);  
      b.neighborhoodrepresentation = !b.neighborhoodrepresentation;
     }
  }
  
  void toggleWebRepp() {
     for (int i = 0; i < boids.size(); i++) {
      Boid b = (Boid) boids.get(i);  
      b.connectivity = !b.connectivity;
     }
  }
  
  void run() {
    for (int i = 0; i < boids.size(); i++) {
      Boid b = (Boid) boids.get(i);  
      b.run(boids);  // Passing the entire list of boids to each boid individually
    }
  }

  void addBoid(Boid b) {
    boids.add(b);
  }

}
